join.hpp File Reference

## Classes

struct | ranges::join_view< Rng >
struct | ranges::join_view< Rng >::cend_cursor_fn
struct | ranges::join_view< Rng >::cursor< Const >
struct | ranges::join_view< Rng >::end_cursor_fn
struct | ranges::join_with_view< Rng, ValRng >
class | ranges::join_with_view< Rng, ValRng >::cursor
struct | ranges::views::cpp20_join_fn
struct | ranges::views::join_base_fn
struct | ranges::views::join_bind_fn
struct | ranges::views::join_fn

## Functions

template<typename Rng >
| ranges::cpp20::CPP_TEMPLATE_AUX_0 (requires input_range< Rng > &&view_< Rng > &&input_range< iter_reference_t< iterator_t< Rng >>>) using join_view

## Variables

constexpr ranges::views::view_closure< ranges::views::cpp20_join_fn > | ranges::cpp20::views::join {}